#ifndef LANDERCTL
#define LANDERCTL

typedef struct landerctl_cfg {
  const char *api_key;
} landerctl_cfg;

typedef enum landerctl_cfg_err {
  landerctl_cfg_err_ok = 0,
  landerctl_cfg_err_not_found,
  landerctl_cfg_err_invalid,
  landerctl_cfg_err_incomplete,
} landerctl_cfg_err;

/**
 * Try to parse the required config arguments from the config file
 *
 * @param out config to write values to. Existing values are overwritten
 * @param path path to config file
 */
landerctl_cfg_err landerctl_cfg_parse(landerctl_cfg *out, const char *path);

#endif
